<?php
/**
 * The template for displaying the footer.
 *
 * Contains footer content and the closing of the main and #page div elements.
 *
 * @package WordPress
 * @subpackage Collect
 * @since Collect 1.0
 */

// Requires ABC Premium Features plugin
$remove_credit = collect_sanitize_checkbox( get_theme_mod( 'abc_remove_credit' ) );
$class = ( $remove_credit ) ? 'screen-reader-text' : 'abc-credit';
?>
		</main><!-- main -->

		<div class="search-bar">
			<div class="search-wrapper">
				<?php get_search_form(); ?>
				<div class="close-search"><?php printf( __( '%s Close', 'collect' ), '<i class="fa fa-close"></i>' ); ?></div>
			</div>
		</div>

		<footer id="footer" role="contentinfo">
			<div class="container">
				<?php do_action( 'collect_extended_footer' ); ?>

				<div class="copyright">
					<span id="abc-custom-copyright" class="pull-left"><?php echo apply_filters( 'collect_footer_notice', sprintf( __( 'Copyright &copy; %1$s %2$s. All Rights Reserved.', 'collect' ), date( 'Y' ), ' <a href="' . esc_url( home_url() ) . '">' . get_bloginfo( 'name' ) .'</a>' ) ); ?></span>
					<span id="abc-credit-link" class="pull-right <?php echo esc_attr( $class ); ?>"><?php printf( __( 'The %1$s Theme by %2$s.', 'collect' ), COLLECT_THEME_NAME, '<a href="https://alphabetthemes.com/downloads/collect-wordpress-theme">Alphabet Themes</a>' ); ?></span>
				</div>
			</div>
		</footer><!-- #footer -->
	</div><!-- #page -->

<?php wp_footer(); ?>
</body>
</html>