<?php
/**
 * The default template for displaying content
 *
 * Used for front-page/archive/search.
 *
 * @package WordPress
 * @subpackage Collect
 * @since Collect 1.0
 */
global $wp_query;
$count = $wp_query->current_post;
if ( '-1' == $count ) {
	$size = 'featured';
} else {
	$size = get_post_meta( get_the_ID(), 'collect_box_size', true );
	$size = ( $size ) ? $size : 'collect-square';
}

$collect_default_theme_options = collect_default_theme_options();
?>
	<div class="front-box <?php echo esc_attr( $size ); ?>">
		<figure id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

			<?php if ( has_post_thumbnail() ) { ?>
				<?php the_post_thumbnail( $size ); ?>
			<?php } ?>

			<figcaption class="entry-wrapper">
				<header>
					<?php
					$category = get_the_category();
					$category_link = ( $category ) ? $category[0]->name : '';
					if ( has_post_thumbnail() ) {
						the_title( sprintf( '<h2 class="entry-title">', esc_url( get_permalink() ) ), '</h2>' );
						?>

						<div class="entry-category">
							<?php echo $category_link; ?>
						</div>
						<?php
					} else {
						if ( 'page' != get_post_type() ) {
							?>
							<div class="entry-category">
								<?php echo $category_link; ?>
							</div>
						<?php } ?>

						<?php the_title( sprintf( '<h2 class="entry-title">', esc_url( get_permalink() ) ), '</h2>' ); ?>

						<?php if ( 'page' != get_post_type() ) { ?>
							<div class="entry-meta">
								<?php
								printf( __( 'by %s', 'collect' ),
									'<span class="vcard author"><span class="fn"><a href="' . get_author_posts_url( get_the_author_meta( 'ID' ) ) . '" title="' . esc_attr( sprintf( __( 'Posts by %s', 'collect' ), get_the_author() ) ) . '" rel="author">' . get_the_author() . '</a></span></span>'
									);
								?>
							</div>
							<?php
						}
					}
					?>
				</header>

			    <div class="entry-content">
				    <?php
					if ( ! has_post_thumbnail() ) {
						the_excerpt();
					} else {
						?>
						<span class="more-link"><?php echo collect_sanitize_text( get_theme_mod( 'read_more_text', $collect_default_theme_options['read_more_text'] ) ) . ' <span class="screen-reader-text">' . get_the_title() . '</span>'; ?></span>
						<?php
					}
					?>
			    </div><!-- .entry-content -->
	   			<a class="the-link" href="<?php the_permalink(); ?>">View more</a>
			</figcaption>

		</figure>
	</div>